# `m-file-uploader-item`

Represents the file to be displayed in the file uploader item.

## Props

| Name | Description | Type | Default |
|------|-------------|------|---------|
| `file*` | Represents the file to be displayed in the file uploader item. | `NormalizedFile` |   |
| `format` | Layout format of the item. | `'inline'` `'stacked'` | `inline` |
| `valid` | Indicates if the file is valid according to the uploader's validation rules. | `boolean` |   |
| `errormessage` | Custom error message for the file. | `string` |   |
| `deletebuttonlabel` | Label for the delete button. | `string` | `Delete` |
| `information` | Optional informational text displayed under the file name. | `string` |   |
| `ondelete*` | Callback to call when delete button is clicked. | `() => void` |   |

## Slots

| Name | Description |
|------|-------------|
| `name` |  |
| `information` |  |
| `errorMessage` |  |

